=== vtkVmtk/Common/CMakeLists.txt ===
set(VTK_VMTK_COMMON_TARGET_LINK_LIBRARIES )

if( ${VTK_VERSION_MAJOR} GREATER 5 )
  set ( VTK_VMTK_COMMON_COMPONENTS
    vtkCommonCore
    )
  if (VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
    list(APPEND VTK_VMTK_COMMON_COMPONENTS
      vtkWrappingPythonCore
      )
  endif(VTK_WRAP_PYTHON AND VTK_VMTK_WRAP_PYTHON)
  find_package( VTK ${VTK_VERSION_MAJOR}.${VTK_VERSION_MINOR} COMPONENTS ${VTK_VMTK_COMMON_COMPONENTS} REQUIRED )
  include( ${VTK_USE_FILE} )
  list( APPEND VTK_VMTK_COMMON_TARGET_LINK_LIBRARIES ${VTK_LIBRARIES} )
else( ${VTK_VERSION_MAJOR} GREATER 5 )
  list( APPEND VTK_VMTK_COMMON_TARGET_LINK_LIBRARIES vtkCommon)
endif( ${VTK_VERSION_MAJOR} GREATER 5 )

SET (VTK_VMTK_COMMON_SRCS
  vtkvmtkMath.cxx
  )

vmtk_build_library(
  NAME Common
  SRCS ${VTK_VMTK_COMMON_SRCS}
  TARGET_LINK_LIBRARIES ${VTK_VMTK_COMMON_TARGET_LINK_LIBRARIES}
  )
