=== debian/changelog ===
vmtk (1.3+dfsg-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * python-vmtk: Add the missing dependency on python-vtk6.
    (Closes: #904763)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Aug 2018 14:07:43 +0300

vmtk (1.3+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by using OpenSSL 1.1. (Closes: #859844)

 -- Adrian Bunk <bunk@debian.org>  Tue, 01 Aug 2017 19:06:28 +0300

vmtk (1.3+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by using OpenSSL 1.0.2. (Closes: #850026)

 -- Adrian Bunk <bunk@debian.org>  Wed, 18 Jan 2017 23:36:18 +0200

vmtk (1.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop build-depends on openjpeg.  Closes: #826828

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Aug 2016 10:09:20 +0000

vmtk (1.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move the packaging to git.
  * Run cme fix dpkg-control.
  * Bump lib package name after soname bump.  Closes: #821411
  * Reinstate some lintian overrides removed in the previous upload.
  * Remove non-distributable Windows DLL.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 11 May 2016 15:34:10 +0000

vmtk (1.3-2) unstable; urgency=medium

  * Team upload.
  * Fix install of hardcoded stuff (Closes: #821298).
  * Use plain dh calls.
  * Drop cdbs
  * Use install files instead of hacky rules.
  * Enable hardening
  * use wl-asneeded to avoid overlinking.
  * Drop lintian overrides.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Apr 2016 10:28:43 +0200

vmtk (1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #801820)
  * Bump std-version and compat level to 3.9.8 and 9.
  * Build against itk4 and vtk6
  * Fix watch file.
  * Add libfftw3-dev dependency
  * Fix copyright file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 16 Apr 2016 23:09:46 +0200
