=== debian/control ===
Source: vmtk
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               dh-python,
               python-dev,
               libvtk6-dev,
               python-vtk6,
               libinsighttoolkit4-dev,
               libjpeg-dev,
               libtiff-dev,
               libfreetype6-dev,
               libxext-dev,
               libpng-dev,
               libexpat1-dev,
               uuid-dev,
               libvtkgdcm2-dev,
               libssl-dev,
               libvtk6-qt-dev,
               libvtk6-java,
               libfftw3-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/vmtk.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/vmtk.git
Homepage: http://www.vmtk.org
X-Python-Version: >= 2.3

Package: libvmtk1.3
Architecture: any
Section: non-free/libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libvmtk-dev
Description: runtime libraries for vmtk
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
 .
 This package contains the shared runtime libraries.

Package: python-vmtk
Architecture: any
Section: non-free/python
Depends: libvmtk1.3 (= ${binary:Version}),
         ${python:Depends},
         python-vtk6,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Python interface for vmtk
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
 .
 This package provides the Python interface for vmtk.

Package: libvmtk-dev
Architecture: any
Section: non-free/libdevel
Depends: libvmtk1.3 (= ${binary:Version}),
         ${misc:Depends}
Description: shared links and header files for vmtk
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
 .
 This package contains header files and shared library links.

Package: vmtk
Architecture: all
Depends: python,
         python-tk,
         python-vmtk (>= ${source:Version}),
         ${misc:Depends}
Description: the Vascular Modeling Toolkit
 The Vascular Modeling Toolkit is a collection of libraries and tools for
 3D reconstruction, geometric analysis, mesh generation and surface data
 analysis for image-based modeling of blood vessels.
